OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.FramebufferObjectCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBFramebufferObject :: MonadIO m => m Bool
- gl_ARB_framebuffer_object :: Bool
- gl_COLOR_ATTACHMENT0 :: GLenum
- gl_COLOR_ATTACHMENT1 :: GLenum
- gl_COLOR_ATTACHMENT10 :: GLenum
- gl_COLOR_ATTACHMENT11 :: GLenum
- gl_COLOR_ATTACHMENT12 :: GLenum
- gl_COLOR_ATTACHMENT13 :: GLenum
- gl_COLOR_ATTACHMENT14 :: GLenum
- gl_COLOR_ATTACHMENT15 :: GLenum
- gl_COLOR_ATTACHMENT2 :: GLenum
- gl_COLOR_ATTACHMENT3 :: GLenum
- gl_COLOR_ATTACHMENT4 :: GLenum
- gl_COLOR_ATTACHMENT5 :: GLenum
- gl_COLOR_ATTACHMENT6 :: GLenum
- gl_COLOR_ATTACHMENT7 :: GLenum
- gl_COLOR_ATTACHMENT8 :: GLenum
- gl_COLOR_ATTACHMENT9 :: GLenum
- gl_DEPTH24_STENCIL8 :: GLenum
- gl_DEPTH_ATTACHMENT :: GLenum
- gl_DEPTH_STENCIL :: GLenum
- gl_DEPTH_STENCIL_ATTACHMENT :: GLenum
- gl_DRAW_FRAMEBUFFER :: GLenum
- gl_DRAW_FRAMEBUFFER_BINDING :: GLenum
- gl_FRAMEBUFFER :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum
- gl_FRAMEBUFFER_BINDING :: GLenum
- gl_FRAMEBUFFER_COMPLETE :: GLenum
- gl_FRAMEBUFFER_DEFAULT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum
- gl_FRAMEBUFFER_UNDEFINED :: GLenum
- gl_FRAMEBUFFER_UNSUPPORTED :: GLenum
- gl_INDEX :: GLenum
- gl_INVALID_FRAMEBUFFER_OPERATION :: GLenum
- gl_MAX_COLOR_ATTACHMENTS :: GLenum
- gl_MAX_RENDERBUFFER_SIZE :: GLenum
- gl_MAX_SAMPLES :: GLenum
- gl_READ_FRAMEBUFFER :: GLenum
- gl_READ_FRAMEBUFFER_BINDING :: GLenum
- gl_RENDERBUFFER :: GLenum
- gl_RENDERBUFFER_ALPHA_SIZE :: GLenum
- gl_RENDERBUFFER_BINDING :: GLenum
- gl_RENDERBUFFER_BLUE_SIZE :: GLenum
- gl_RENDERBUFFER_DEPTH_SIZE :: GLenum
- gl_RENDERBUFFER_GREEN_SIZE :: GLenum
- gl_RENDERBUFFER_HEIGHT :: GLenum
- gl_RENDERBUFFER_INTERNAL_FORMAT :: GLenum
- gl_RENDERBUFFER_RED_SIZE :: GLenum
- gl_RENDERBUFFER_SAMPLES :: GLenum
- gl_RENDERBUFFER_STENCIL_SIZE :: GLenum
- gl_RENDERBUFFER_WIDTH :: GLenum
- gl_STENCIL_ATTACHMENT :: GLenum
- gl_STENCIL_INDEX1 :: GLenum
- gl_STENCIL_INDEX16 :: GLenum
- gl_STENCIL_INDEX4 :: GLenum
- gl_STENCIL_INDEX8 :: GLenum
- gl_TEXTURE_STENCIL_SIZE :: GLenum
- gl_UNSIGNED_INT_24_8 :: GLenum
- gl_UNSIGNED_NORMALIZED :: GLenum
- glBindFramebuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindRenderbuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBlitFramebuffer :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glCheckFramebufferStatus :: MonadIO m => GLenum -> m GLenum
- glDeleteFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glFramebufferRenderbuffer :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glFramebufferTexture1D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture2D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTexture3D :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glFramebufferTextureLayer :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glGenFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenerateMipmap :: MonadIO m => GLenum -> m ()
- glGetFramebufferAttachmentParameteriv :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetRenderbufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsFramebuffer :: MonadIO m => GLuint -> m GLboolean
- glIsRenderbuffer :: MonadIO m => GLuint -> m GLboolean
- glRenderbufferStorage :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> m ()
- glRenderbufferStorageMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBFramebufferObject :: MonadIO m => m Bool

Is the ARB_framebuffer_object extension supported?

gl_ARB_framebuffer_object :: Bool

Is the ARB_framebuffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFramebufferObject` in those cases instead.

# Enums

gl_COLOR_ATTACHMENT0 :: GLenum

gl_COLOR_ATTACHMENT1 :: GLenum

gl_COLOR_ATTACHMENT10 :: GLenum

gl_COLOR_ATTACHMENT11 :: GLenum

gl_COLOR_ATTACHMENT12 :: GLenum

gl_COLOR_ATTACHMENT13 :: GLenum

gl_COLOR_ATTACHMENT14 :: GLenum

gl_COLOR_ATTACHMENT15 :: GLenum

gl_COLOR_ATTACHMENT2 :: GLenum

gl_COLOR_ATTACHMENT3 :: GLenum

gl_COLOR_ATTACHMENT4 :: GLenum

gl_COLOR_ATTACHMENT5 :: GLenum

gl_COLOR_ATTACHMENT6 :: GLenum

gl_COLOR_ATTACHMENT7 :: GLenum

gl_COLOR_ATTACHMENT8 :: GLenum

gl_COLOR_ATTACHMENT9 :: GLenum

gl_DEPTH24_STENCIL8 :: GLenum

gl_DEPTH_ATTACHMENT :: GLenum

gl_DEPTH_STENCIL :: GLenum

gl_DEPTH_STENCIL_ATTACHMENT :: GLenum

gl_DRAW_FRAMEBUFFER :: GLenum

gl_DRAW_FRAMEBUFFER_BINDING :: GLenum

gl_FRAMEBUFFER :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_RED_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL :: GLenum

gl_FRAMEBUFFER_BINDING :: GLenum

gl_FRAMEBUFFER_COMPLETE :: GLenum

gl_FRAMEBUFFER_DEFAULT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_ATTACHMENT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_READ_BUFFER :: GLenum

gl_FRAMEBUFFER_UNDEFINED :: GLenum

gl_FRAMEBUFFER_UNSUPPORTED :: GLenum

gl_INDEX :: GLenum

gl_INVALID_FRAMEBUFFER_OPERATION :: GLenum

gl_MAX_COLOR_ATTACHMENTS :: GLenum

gl_MAX_RENDERBUFFER_SIZE :: GLenum

gl_MAX_SAMPLES :: GLenum

gl_READ_FRAMEBUFFER :: GLenum

gl_READ_FRAMEBUFFER_BINDING :: GLenum

gl_RENDERBUFFER :: GLenum

gl_RENDERBUFFER_ALPHA_SIZE :: GLenum

gl_RENDERBUFFER_BINDING :: GLenum

gl_RENDERBUFFER_BLUE_SIZE :: GLenum

gl_RENDERBUFFER_DEPTH_SIZE :: GLenum

gl_RENDERBUFFER_GREEN_SIZE :: GLenum

gl_RENDERBUFFER_HEIGHT :: GLenum

gl_RENDERBUFFER_INTERNAL_FORMAT :: GLenum

gl_RENDERBUFFER_RED_SIZE :: GLenum

gl_RENDERBUFFER_SAMPLES :: GLenum

gl_RENDERBUFFER_STENCIL_SIZE :: GLenum

gl_RENDERBUFFER_WIDTH :: GLenum

gl_STENCIL_ATTACHMENT :: GLenum

gl_STENCIL_INDEX1 :: GLenum

gl_STENCIL_INDEX16 :: GLenum

gl_STENCIL_INDEX4 :: GLenum

gl_STENCIL_INDEX8 :: GLenum

gl_TEXTURE_STENCIL_SIZE :: GLenum

gl_UNSIGNED_INT_24_8 :: GLenum

gl_UNSIGNED_NORMALIZED :: GLenum

# Functions

glBindFramebuffer

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLuint | `framebuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBindRenderbuffer

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glBlitFramebuffer

Arguments

:: MonadIO m |
=> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glCheckFramebufferStatus

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> m GLenum |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteFramebuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteRenderbuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferRenderbuffer

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `renderbuffertarget` of type `RenderbufferTarget`.
-> GLuint | `renderbuffer`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTexture3D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `textarget`.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `zoffset`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFramebufferTextureLayer

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenFramebuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenRenderbuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenerateMipmap

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetFramebufferAttachmentParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetRenderbufferParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsFramebuffer

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsRenderbuffer

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorage

Arguments

:: MonadIO m |
=> GLenum | `target` of type `RenderbufferTarget`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glRenderbufferStorageMultisample

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.